<?

require_once( 'bp-core.php' );

/* These aren't required in the very basic example, but i've included these
to restate that most likely 99% of all BuddyPress components will need at least
these two. */
include_once( 'bp-test/bp-test-classes.php' );
include_once( 'bp-test/bp-test-templatetags.php' );

include_once( 'bp-test/bp-test-filters.php' );


/**************************************************************************
 bp_test_setup_globals()
 
 Set up and add all global variables for this component, and add them to 
 the $bp global variable array.
 **************************************************************************/

function bp_test_setup_globals() {
	global $bp, $wpdb, $current_blog;

	$bp['test'] = array(		
		'image_base' => site_url() . '/wp-content/mu-plugins/bp-test/images',
		'slug'		 => 'test'
	);
	
}
add_action( 'wp', 'bp_test_setup_globals', 1 );
add_action( '_admin_menu', 'bp_test_setup_globals', 1 );

/**************************************************************************
 bp_test_setup_nav()
 
 Set up front end navigation.
 **************************************************************************/
function bp_test_setup_nav() {
	global $bp;
	
	/* Add 'Test' to the main navigation */
	bp_core_add_nav_item( __('Test', 'buddypress'), $bp['test']['slug'] );
	bp_core_add_nav_default( $bp['test']['slug'], 'bp_test_screen_myanothertest', 'another-test' );
	
	$test_link = $bp['loggedin_domain'] . $bp['test']['slug'] . '/';
	
	/* Add the subnav items to the test nav item */	
	bp_core_add_subnav_item( $bp['test']['slug'], 'another-test', __('Another Test', 'buddypress'), $test_link, 'bp_test_screen_myanothertest' );
	bp_core_add_subnav_item( $bp['test']['slug'], 'second-page', __('Second Page', 'buddypress'), $test_link, 'bp_test_screen_mysecondpage', 'test-my-second-page', bp_is_home() );
	
	if ( $bp['current_component'] == $bp['test']['slug'] ) {
		if ( bp_is_home() ) {
			$bp['bp_options_title'] = __('Test Area', 'buddypress');
		} else {
			$bp['bp_options_avatar'] = bp_core_get_avatar( $bp['current_userid'], 1 );
			$bp['bp_options_title'] = $bp['current_fullname']; 
		}
	}
}
add_action( 'wp', 'bp_test_setup_nav', 2 );

/************************************************************************** 
 Screens
 
 IMPORTANT: Make sure you have: 
 /member-themes/buddypress-member/test/my-another-test.php
 /member-themes/buddypress-member/test/my-second-page.php
 
 otherwise you'll get a 404/Not Found Message when you navigate to these pages.
 **************************************************************************/
function bp_test_screen_myanothertest() {
	bp_catch_uri( 'test/my-another-test' );	
}

function bp_test_screen_mysecondpage() {
	bp_catch_uri( 'test/my-second-page' );	
}

?>