<?php

class BP_Test_Template {
	/* Define Your Template Variables Here. Below are just some examples, not actually required */
	var $current_test_post = -1;
	var $test_count;
	var $tests;
	var $test;
	
	var $in_the_loop;
	
	var $pag_page;
	var $pag_num;
	var $pag_links;
	var $total_test_count;
	
	var $can_post;
	
	var $table_name;
	
	function bp_test_template() {
		global $bp;
		
		if ( $bp['current_action'] == 'another-test' ) {
			
			// Produce the test message
			$this->message = 'Congrats, this is the first page.<br/>';
			
			$order = $bp['action_variables'][0];
			
			if ( $order == 'sub-nav-two' ) {
				// Produce the test message
				$this->message .= 'Congrats, this is the second sub page.';
			} else if ( $order == 'sub-nav-three' ) {
				// Produce the test message
				$this->message .= 'Congrats, this is the third sub page.';			
			} else {
				// Produce the test message
				$this->message .= 'Congrats, this is the first sub page.';
			}
		
		} else if ( $bp['current_action'] == 'second-page' ) {
		
			// Produce the test message
			$this->message = 'Congrats, this is the second page.';

		} else {
			$order = $bp['action_variables'][0];
			// Do Nothing, This Should Never Really Happen
		}
				
		$this->test_posts = BP_Test_Post::get_all_for_item( $item_id );
		$this->total_test_post_count = (int)$this->test_posts['count'];
		
		$this->test_posts = $this->test_posts['test_posts'];
		$this->test_post_count = count($this->test_posts);
		
	}
	
	function has_test_posts() {
		if ( $this->test_post_count )
			return true;
		
		return false;
	}
	
	function next_test_post() {
		$this->current_test_post++;
		$this->test_post = $this->test_posts[$this->current_test_post];
		
		return $this->test_post;
	}
	
	function rewind_test_posts() {
		$this->current_test_post = -1;
		if ( $this->test_post_count > 0 ) {
			$this->test_post = $this->test_posts[0];
		}
	}
	
	function user_test_posts() { 
		if ( $this->current_test_post + 1 < $this->test_post_count ) {
			return true;
		} elseif ( $this->current_test_post + 1 == $this->test_post_count ) {
			do_action('loop_end');
			// Do some cleaning up after the loop
			$this->rewind_test_posts();
		}

		$this->in_the_loop = false;
		return false;
	}
	
	function the_test_post() {
		global $test_post;

		$this->in_the_loop = true;
		$this->test_post = $this->next_test_post();

		if ( $this->current_test_post == 0 ) // loop has just started
			do_action('loop_start');
	}
}

/*********************************************************
bp_test_header_tabs:

This is a key player in getting the "top header" navigation
to display, link, and show states (on/off) correctly.
*********************************************************/

function bp_test_header_tabs() {
	global $bp, $create_group_step, $completed_to_step;
?>
	<li<?php if ( !isset($bp['action_variables'][0]) || $bp['action_variables'][0] == 'sub-nav-one' ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp['current_domain'] . $bp['test']['slug'] ?>/another-test/sub-nav-one"><?php _e( 'Sub Nav One', 'buddypress' ) ?></a></li>
	<li<?php if ( $bp['action_variables'][0] == 'sub-nav-two' ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp['current_domain'] . $bp['test']['slug'] ?>/another-test/sub-nav-two"><?php _e( 'Sub Nav Two', 'buddypress' ) ?></a></li>
	<li<?php if ( $bp['action_variables'][0] == 'sub-nav-three' ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp['current_domain'] . $bp['test']['slug'] ?>/another-test/sub-nav-three""><?php _e( 'Sub Nav Three', 'buddypress' ) ?></a></li>
<?php
	do_action( 'bp_test_header_tabs' );
}

/*********************************************************
bp_test_displaymessage:

This is just a dummy script to bridge the BP_Test_Template
class to the template, showing that we know which page(s) and
sub-page(s) we are on.
*********************************************************/

function bp_test_displaymessage() {
	global $bp;

	$test_template = new BP_Test_Template( $bp['current_userid'] );
	
	return $test_template->message;
}

/*********************************************************
Everything from here to the end of the file deals with the 
second page "list" example.
*********************************************************/

function bp_has_test_posts( $item_id = null ) {
	global $test_posts_template, $bp;
	
//	if ( !$item_id )
//		return false;
		
	$test_posts_template = new BP_Test_Template( $item_id );		
	return $test_posts_template->has_test_posts();
}

function bp_test_posts() {
	global $test_posts_template;
	return $test_posts_template->user_test_posts();
}

function bp_the_test_post() {
	global $test_posts_template;
	return $test_posts_template->the_test_post();
}

function bp_test_get_test_list( $item_id = null, $title = null, $empty_message = null ) {
	global $bp_item_id, $bp_test_header, $bp_test_msg, $bp_test_can_post, $bp_test_show_email_notify;

	if ( !$item_id )
		return false;
	
	if ( !$message )
		$empty_message = __("There are currently no list items.", 'buddypress');
	
	if ( !$title )
		$title = __('List', 'buddypress');

	/* Pass them as globals, using the same name doesn't work. */
	$bp_item_id = $item_id;
	$bp_test_header = $title;
	$bp_test_msg = $empty_message;
	
	load_template( TEMPLATEPATH . '/test/test-list.php' );
}

function bp_test_title() {
	global $bp_test_header;
	echo $bp_test_header;
}

function bp_test_item_id( $echo = false ) {
	global $bp_item_id;
	
	if ( $echo )
		echo apply_filters( 'bp_test_item_id', $bp_test_id );
	else
		return apply_filters( 'bp_test_item_id', $bp_test_id );
}

function bp_test_post_author_avatar() {
	global $test_posts_template;
	
	echo apply_filters( 'bp_test_post_author_avatar', bp_core_get_avatar( $test_posts_template->test_post->user_id, 1 ) );
}

function bp_test_post_content() {
	global $test_posts_template;

	echo apply_filters( 'bp_test_post_content', $test_posts_template->test_post->content );
}

function bp_test_no_posts_message() {
	global $bp_test_msg;
	echo apply_filters( 'bp_test_no_posts_message', $bp_test_msg );
}

function bp_test_see_all_link() {
	global $bp;
	
	if ( $bp['current_item'] == '')
		$uri = $bp['current_action'];
	else
		$uri = $bp['current_item'];
	
	if ( $bp['current_component'] == 'test') {
		echo apply_filters( 'bp_test_see_all_link', $bp['current_domain'] . $bp['test']['slug'] );
	} 
}
?>